makedeb


tap 2.0.5-1


MPR in your pocket

Click here to go back to the commit logs for tap.

Commit:


Hash: 58ccc9be2c1350b96626eedeab9a0bc988e04d78

Message: Updated version to 0.11.3-1

Diff


diff --git a/.SRCINFO b/.SRCINFO
index e50deac..e2ec188 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,13 +1,14 @@
 pkgbase = tap
 	pkgdesc = MPR in your pocket
-	pkgver = 0.11.2
+	pkgver = 0.11.3
 	pkgrel = 1
 	url = https://github.com/hwittenborn/tap
+	install = .install
 	arch = any
 	license = GPL3
 	depends = python3
 	depends = python3-requests
-	source = https://github.com/hwittenborn/tap/archive/refs/tags/v0.11.2.tar.gz
+	source = https://github.com/hwittenborn/tap/archive/refs/tags/v0.11.3.tar.gz
 	sha256sums = SKIP
 
 pkgname = tap
diff --git a/.install b/.install
new file mode 100644
index 0000000..890c515
--- /dev/null
+++ b/.install
@@ -0,0 +1,16 @@
+#!/usr/bin/env bash
+pre_install() {
+	if [[ "${1}" == "upgrade" ]]; then
+
+		if ! tap --version &> /dev/null; then
+			echo
+			printf "\033[1;31m[WARNING]\033[0;00m You appear to be upgrading from a version of Tap containing known issues with updating certain packages from the MPR.\n"
+			echo "You'll need to reinstall all affected packages with 'tap install' to fix any issues with upgrading."
+			echo
+			echo "To find the affected packages, you can use the following command:"
+			echo "  dpkg-query --show --showformat '\${Package}/\${MPR-Package}\n' | grep '^[^/]*/True' | awk -F '/' '{print \$1}'"
+			echo
+		fi
+
+	fi
+}
diff --git a/PKGBUILD b/PKGBUILD
index 509222e..c144c48 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,6 +1,6 @@
 # Maintainer: Hunter Wittenborn <hunter@hunterwittenborn.com>
 pkgname=tap
-pkgver=0.11.2
+pkgver=0.11.3
 pkgrel=1
 pkgdesc="MPR in your pocket"
 arch=('any')
@@ -9,6 +9,8 @@ license=('GPL3')
 control_fields=("MPR-Package: ${pkgname}")
 url="https://github.com/hwittenborn/tap"
 
+install=".install"
+
 source=("${url}/archive/refs/tags/v${pkgver}.tar.gz")
 sha256sums=('SKIP')